﻿local mod = RW:Boss("Ascendant Lord Obsidius", "Party - Cataclysm", "Blackrock Caverns")
local L

mod.type = "party"

mod.BossIcon = [[Interface\ICONS\Achievement_Dungeon_BlackrockCaverns_AscendantLordObsidius]]

---------------------------
-- Variables

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(39705)
	self:SetWin()
	
	self:RegisterAlert("tCorruptionDur", self:DurTargetTimer(12, 76188))
	self:RegisterAlert("mCorruption", self:TargetMessage(76188))
	
	self:RegisterAlert("wTransform", self:Warning(76200))
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Corruption", 76188, 93613)
	self:Track("Transform", 76200, 76196, 76211, 76242, 76274)
end

function mod:Corruption(event, args)
	if event == "SPELL_AURA_APPLIED" then
		self:Call("tCorruptionDur", "Start", args.dName)
		self:Call("mCorruption", "Show", args.dName)
	end
end

function mod:Transform(event, args)
	if event == "SPELL_AURA_APPLIED" then
		self:Call("wTransform", "Show")
	end
end
